<?php
function complete_option_defaults() {
	$defaults = array(
		'converted' => '',
		'site_layout_id' => 'site_full',
		'single_post_layout_id' => 'single_layout1',
		'header_layout_id' => 'head-type1',
		'center_width' => 95,
		'content_bg_color' => '#ffffff',
		'divider_icon' => 'fa-stop',
		'head_transparent' => '1',
		'trans_header_color' => '#fff',
		'totop_id' => '1',
		'footer_text_id' => __('<div class="left">&copy; 2019 <span style="color:#11bcf4;">SKT Crossfit</span>. All Rights Reserved.</div><div class="right">Powered by SKT Themes</div><div class="clear"></div>', 'SKT Crossfit'),
		'sintp_text' => __('[social_area]
    [social icon="facebook" link="#"]
    [social icon="twitter" link="#"]
    [social icon="google-plus" link="#"]	
    [social icon="linkedin" link="#"]
    [social icon="pinterest" link="#"]
[/social_area]', 'SKT Crossfit'),
		'suptp_text' => __('<i class="fa fa-phone fa-2x"></i> 855-321-9876', 'SKT Crossfit'),
		'emltp_text' => __('<a href="mailto:info@demolink.org">info@demolink.org </a>', 'SKT Crossfit'),
		'footmenu_id' => '1',
		'copyright_center' => '',
		
		'custom_slider' => '',
		
		'slider_type_id' => 'static',
		'n_slide_time_id' => '6000',
		'slide_height' => '500px',
		'slidefont_size_id' => '36px',
		'slider_txt_hide' => '',
		
		'slide_image1' => ''.get_template_directory_uri().'/images/slides/slider1.jpg',
        'slide_title1' => 'it’s not <span style="color:#11bcf4;">just</span> fitness it’s a <strong>lifestyle</strong>',
        'slide_desc1' => 'Donec pellentesque efficitur magna quis rutrum. Nullam porttitor, urna vel efficitur vestibulum.',
        'slide_link1' => '',
        'slide_btn1' => '',
        
        'slide_image2' => ''.get_template_directory_uri().'/images/slides/slider2.jpg',
        'slide_title2' => 'it’s not <span style="color:#11bcf4;">just</span> fitness it’s a <strong>lifestyle</strong>',
        'slide_desc2' => 'Donec pellentesque efficitur magna quis rutrum. Nullam porttitor, urna vel efficitur vestibulum.',
        'slide_link2' => '',
        'slide_btn2' => '',
        
        'slide_image3' => ''.get_template_directory_uri().'/images/slides/slider3.jpg',
        'slide_title3' => 'it’s not <span style="color:#11bcf4;">just</span> fitness it’s a <strong>lifestyle</strong>',
        'slide_desc3' => 'Donec pellentesque efficitur magna quis rutrum. Nullam porttitor, urna vel efficitur vestibulum.',
        'slide_link3' => '',
        'slide_btn3' => '',

		'post_info_id' => '1',
		'post_nextprev_id' => '1',
		'post_comments_id' => '1',
		'page_header_color' => '#545556',
		'pageheader_bg_image' => ''.get_template_directory_uri().'/images/default-header-img.jpg',
		'head_bg_image' => '',
		'hide_pageheader' => '',
		'page_header_txtcolor' => '#555555',
		
		'post_header_color' => '#545556',
		'postheader_bg_image' => ''.get_template_directory_uri().'/images/default-header-img.jpg',
		'hide_postheader' => '',		

		'blog_cat_id' => '',
		'blog_num_id' => '9',
		'blog_layout_id' => '',
		'show_blog_thumb' => '1',
		
		'menu_border_top' => '#f1f3f3',
		'menu_border_bottom' => '#0b799d',
		
		'sec_color_id' => '#11bcf4',
		'bgmenu_color_id' => '#0d1715',
		'mnbg_color_id' => '#0b7598',
		'submnu_textcolor_id' => '#000000',
		'submnbg_color_id' => '#11bcf4',
		'mnshvr_color_id' => '#1b1b1b',
		'mobbg_color_id' => '#383939',
		'mobbgtop_color_id' => '#11bcf4',
		'mobmenutxt_color_id' => '#FFFFFF',
		
		'mobtoggle_color_id' => '#000000',
		'mobtoggleinner_color_id' => '#FFFFFF',
		
		'sectxt_color_id' => '#FFFFFF',
		'content_font_id' =>  array('font-family' => 'Arimo', 'font-size' => '14px'),
		'primtxt_color_id' => '#2b2b2b',
		'logo_image_id' => array(  'url'=>''.get_template_directory_uri().'/assets/images/logo.png'),
		'logo_font_id' => array('font-family' => 'Open Sans', 'font-size' => '36px'),
		'logo_color_id' => '#555555',
		
		'logo_image_height' => '26px;',
		'logo_image_width' => '155px;',
		'logo_margin_top' => '20px;',
		
		'tpbt_font_id' => array('font-family' => 'Roboto', 'font-size' => '20px'),
		'tpbt_color_id' => '#323131',
		'tpemail_color_id' => '#5b5a5a',
		
		'tpbt_hvcolor_id' => '#edecec',	
		
		'sldtitle_font_id' => array('font-family' => 'Roboto', 'font-size' => '38px'),
		'slddesc_font_id' => array('font-family' => 'Roboto', 'font-size' => '14px'),
		'sldbtn_font_id' => array('font-family' => 'Lato', 'font-size' => '14px'),
		
		'slidetitle_color_id' => '#ffffff',	
		'slddesc_color_id' => '#ffffff',	
		'sldbtntext_color_id' => '#ffffff',
		'sldbtn_color_id' => '#000000',
		'sldbtn_hvcolor_id' => '#11bcf4',	
		
		'slide_pager_color_id' => '#ffffff',	
		'slide_active_pager_color_id' => '#11bcf4',	
		'slide_title_desc_bg' => '#000000',	
		
		'slide_title_desc_opacity' => 0.3,	
		
		'slide_prev_color_id' => '#000000',
		'slide_next_color_id' => '#11bcf4',
			
		'global_link_color_id' => '#11bcf4',
		'global_link_hvcolor_id' => '#999999',		
		
		'global_h1_color_id' => '#323131',
		'global_h1_hvcolor_id' => '#11bcf4',	
		'global_h2_color_id' => '#323131',
		'global_h2_hvcolor_id' => '#11bcf4',
		'global_h3_color_id' => '#323131',
		'global_h3_hvcolor_id' => '#11bcf4',
		'global_h4_color_id' => '#323131',
		'global_h4_hvcolor_id' => '#11bcf4',
		'global_h5_color_id' => '#323131',
		'global_h5_hvcolor_id' => '#11bcf4',
		'global_h6_color_id' => '#323131',
		'global_h6_hvcolor_id' => '#11bcf4',	
		
		'post_meta_color_id' => '#000000',
		'team_box_color_id' => '#f7f7f7',
		
		'social_text_color_id' => '#ffffff',
		'social_icon_color_id' => '#545556',
		'social_hover_icon_color_id' => '#11bcf4',
		'testimonialbox_color_id' => '#f7f7f7',		
		'testimonial_pager_color_id' => '#dadada',
		'testimonial_activepager_color_id' => '#11bcf4',
		'gallery_filter_color_id' => '#11bcf4',
		
		'gallery_hover_bgcolor_id' => '#11bcf4',
		
		'gallery_filtertxt_color_id' => '#000000',
		'gallery_activefiltertxt_color_id' => '#ffffff',
		'skillsbar_bgcolor_id' => '#f8f8f8',
		'skillsbar_text_color_id' => '#ffffff',								
		'global_h1_font_id' => array('font-family' => 'Roboto', 'font-size' => '30px'),
		'global_h2_font_id' => array('font-family' => 'Roboto', 'font-size' => '25px'),
		'global_h3_font_id' => array('font-family' => 'Roboto', 'font-size' => '18px'),
		'global_h4_font_id' => array('font-family' => 'Roboto', 'font-size' => '15px'),
		'global_h5_font_id' => array('font-family' => 'Roboto', 'font-size' => '13px'),
		'global_h6_font_id' => array('font-family' => 'Roboto', 'font-size' => '10px'),
		'timing_box_font_id' => array('font-family' => 'Roboto', 'font-size' => '24px'),
		
		'contact_title' => 'Contact Info',
		'contact_address' => 'Donec ultricies mattis nulla Australia',
		'contact_phone' => '0789 256 321',
		'contact_email' => 'info@companyname.com',
		'contact_company_url' => 'http://demo.com',
		
		'head_bg_trans' => 0.6,
		'head_color_id' => '#f7f7f7',
		'head_info_color_id' => '#383939',
		'header_border_color' => '#dddddd',
		'menutxt_color_id' => '#FFFFFF',
		'menutxt_color_hover' => '#ffffff',
		'menutxt_color_active' => '#ffffff',
		'menu_size_id' => '16px',
		'sidebar_color_id' => '#f5f5f5',
		'sidebarborder_color_id' => '#d0cfcf',
		'sidebar_tt_color_id' => '#ffffff',
		'sidebar_ttbg_color_id' => '#282828',
		'sidebartxt_color_id' => '#3b3b3b',
		'sidebarlink_color_id' => '#3b3b3b',
		'sidebarlink_hover_color_id' => '#11bcf4',
		'flipbg_front_color_id' => '#edecec',
		'flipbg_back_color_id' => '#11bcf4',
		'flipborder_front_color_id' => '#e0e0e0',
		'flipborder_back_color_id' => '#000000',
		'divider_color_id' => '#8c8b8b',
		'wgttitle_size_id' => '20px',
		'timebox_color_id' => '#ffffff',
		'timeboxborder_color_id' => '#dedede',
		'gridbox_color_id' => '#ffffff',
		'gridboxborder_color_id' => '#cccccc',
		'timing_box_background' => '#00000',
		'timing_box_hover_background' => '#11bcf4',
		'timing_box_text_color' => '#ffffff',
		
		'news_box_background_color' => '#ffffff',
		'news_box_border_color' => '#e6e6e6',
		'news_box_hover_border_color' => '#11bcf4',
		'news_box_short_border_color' => '#3d3d3d',
		'news_box_short_hover_border_color' => '#11bcf4',
		
		'programm_box_border_color' => '#e6e6e6',
		'programm_box_hover_border_color' => '#11bcf4',
		
		'faq_tab_bg_color' => '#ffffff',
		'faq_tab_active_bg_color' => '#11bcf4',
		'faq_tab_left_border_color' => '#11bcf4',
		'faq_tab_icon_color' => '#000000',
		'faq_tab_active_icon_color' => '#ffffff',
		
		'product_title_bg_color' => '#efefef',
		'product_price_cart_bg_color' => '#11bcf4',
		'product_price_cart_color' => '#ffffff',
		
		'foot_layout_id' => '3',
		'footer_color_id' => '#000000',
		'footwdgtxt_color_id' => '#ffffff',
		'footer_title_color' => '#ffffff',
		'ptitle_font_id' =>  array('font-family' => 'Lato', 'subsets'=>'latin'),
		'mnutitle_font_id' =>  array('font-family' => 'Roboto', 'subsets'=>'latin'),
		'title_txt_color_id' => '#666666',
		'link_color_id' => '#3590ea',
		'link_color_hover' => '#1e73be',
		'txt_upcase_id' => '0',
		'mnutxt_upcase_id' => '',
		'copyright_bg_color' => '#101010',
		'copyright_txt_color' => '#f8f8f8',
		
		//Featured Box
		'featured_section_title' => __('Featured Boxes', 'SKT Crossfit'),
		'homeblock_bg_setting' => '',
		'ftd_bg_video' => '',
		'homeblock_title_color' => '#000000',
		'homeblock_color_id' => '#f2f2f2',
		'featured_image_height' => '70px;',
		'featured_image_width' => '70px;',
		'featured_excerpt' => '35',
		'featured_block_bg' => '#ffffff',
		'featured_block_button' => __('Read More', 'SKT Crossfit'),
		'recentpost_block_button' => __('Read More', 'SKT Crossfit'),
		
		'featured_block_button_bg' => '#383939',
		'featured_block_hover_button_bg' => '#11bcf4',
		
		'page-setting1_image' => array(  'url'=>''.get_template_directory_uri().'/images/featured_icon1.png'),
		'page-setting2_image' => array(  'url'=>''.get_template_directory_uri().'/images/featured_icon2.png'),
		'page-setting3_image' => array(  'url'=>''.get_template_directory_uri().'/images/featured_icon3.png'),
		'page-setting4_image' => array(  'url'=>''.get_template_directory_uri().'/images/featured_icon4.png'),
		
		'page-setting1' => '0',
		'page-setting2' => '0',
		'page-setting3' => '0',
		'page-setting4' => '0',
		'hide_boxes' => '',		
		
		//Footer Column 1
		'foot_cols1_title' => __('OPENING <span>HOURS</span>', 'SKT Crossfit'),
		'foot_cols1_content' => '<p>Sed suscipit mauris nec mauris vulputate, a posuere libero congue. Nam laoreet elit eu erat pulvinar, et efficitur nibh euismod. Proin venenatis orci sit amet nisl finibus vehicula</p><p>Nam metus lorem, hendrerit quis ante eget, lobortis elementum neque. Aliquam in ullamcorper quam. Integer euismod ligula in mauris vehicula imperdiet. Cras in convallis ipsum. Phasellus tortor turpis.</p>',
		//Footer Column 1	
		
		//Footer Column 2
		'foot_cols2_title' => __('RECENT <span>POSTS</span>', 'SKT Crossfit'),
		'foot_cols2_content' => '[footerposts show="2"]',
		//Footer Column 2	
		
		//Footer Column 3
		'foot_cols3_title' => __('SKT <span style="color:#11bcf4;">Crossfit</span>', 'SKT Crossfit'),
		'foot_cols3_content' => '<p>123 Bridge Street,<br/> New York, NY 666555<br/> Phone: 1.800.555.6789<br/> Email: <a href="mailto:support@sitename.com">support@sitename.com</a><br/> Web: <a href="http://www.sktthemes.net">sktthemes.net</a></p>[social_area]
    [social icon="facebook" link="#"]
    [social icon="twitter" link="#"]
    [social icon="google-plus" link="#"]	
    [social icon="linkedin" link="#"]
    [social icon="pinterest" link="#"]
[/social_area]',
		//Footer Column 3	
		
		//Footer Column 4
		'foot_cols4_title' => __('Latest Tweets', 'SKT Crossfit'),
		'foot_cols4_content' => '<a class="twitter-timeline" data-chrome="nofooter noheader noborders noscroll noscrollbar transparent" data-tweet-limit="2" data-link-color="#fff"  data-theme="dark" data-dnt="true" href="https://twitter.com/sktthemes"  data-widget-id="353086898853531648">Tweets by @sktthemes</a>',
		//Footer Column 4		
																	
		'social_button_style' => 'simple',
		'social_show_color' => '',
		'social_bookmark_pos' => 'footer',
		'social_bookmark_size' => 'normal',
		'social_single_id' => '1',
		'social_page_id' => '',
		
		'post_lightbox_id' => '1',
		'post_gallery_id' => '1',
		'cat_layout_id' => '4',
		'hide_mob_slide' => '',
		'hide_mob_rightsdbr' => '',
		'hide_mob_page_header' => '1',
		'custom-css' => '',
	);
	
      $options = get_option('complete',$defaults);

      //Parse defaults again - see comments
      $options = wp_parse_args( $options, $defaults );

	return $options;
}?>